Page MenuHomePhabricator

Disable edit throttling for event at 131.175.147.29 on 2019-07-05
Closed, ResolvedPublic

Description

Please whitelist 131.175.147.29 to avoid edit throttling (not just cap on account creation!):
Start time: ASAP
End time: 2019-07-05 22.00 GMT+1
Projects: enwiki, itwiki, commons, wikidata
Instructors: Pigsonthewing, Jaqen, Marcok
Editors: ca 50

Reason: course at Polytechnic University of Milan
More info: https://en.wikipedia.org/wiki/Wikipedia:GLAM/PoliMi/2019

Event Timeline

Jaqen created this task.Jul 2 2019, 7:27 AM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJul 2 2019, 7:27 AM

Setting project to Wikimedia-Site-requests, as this request is about settings / configuration of a Wikimedia website.

Please follow https://meta.wikimedia.org/wiki/Mass_account_creation#Requesting_temporary_lift_of_IP_cap when requesting such kinds of changes. Thanks!

Aklapper renamed this task from Please whitelist 131.175.147.29 to Please allow account creation for 131.175.147.29 on 2019-07-05.Jul 2 2019, 7:38 AM
Jaqen added a comment.Jul 2 2019, 7:41 AM

We do not have a problem with account creation but with edit throttling

Aklapper added a comment.EditedJul 2 2019, 7:49 AM

Ah, sorry! https://www.mediawiki.org/wiki/Manual:Edit_throttling says this is defined by $wgRateLimits. Looking at https://noc.wikimedia.org/conf/InitialiseSettings.php.txt and searching for wgRateLimits I do not see how it is possible to exclude a specific IP from edit throttling. Feel free to correct me.

If it is not possible, this task probably will get declined.

Aklapper renamed this task from Please allow account creation for 131.175.147.29 on 2019-07-05 to Disable edit throttling for event at 131.175.147.29 on 2019-07-05.Jul 2 2019, 7:49 AM

This is something T204583: Create a process for raising editing rate limits similar to the six account exceptions (throttle.php) is about. I'll probably merge the proposed patch there tomorrow and then setup a throttle rule for this task.

Change 520408 had a related patch set uploaded (by Urbanecm; owner: Urbanecm):
[operations/mediawiki-config@master] Add new throttle rule for enwiki event

https://gerrit.wikimedia.org/r/520408

Change 520408 merged by jenkins-bot:
[operations/mediawiki-config@master] Add new throttle rule for enwiki event

https://gerrit.wikimedia.org/r/520408

Mentioned in SAL (#wikimedia-operations) [2019-07-03T11:12:57Z] <urbanecm@deploy1001> Synchronized wmf-config/throttle.php: SWAT: [[:gerrit:520408|Add new throttle rule for enwiki event]] (T227059) (duration: 00m 48s)

Urbanecm closed this task as Resolved.Jul 3 2019, 11:18 AM
Urbanecm claimed this task.

All participants from your IP address now should have independent rate limits, same as all other users have (by default, 90 edits/minute).

Restricted Application added a project: User-Urbanecm. · View Herald TranscriptJul 3 2019, 11:18 AM